Multivariate Pattern Analysis in Python

# mvpa2.clfs.transerror.friedmanchisquare

`mvpa2.clfs.transerror.``friedmanchisquare`(*args)

  Computes the Friedman test for repeated measurements

  The Friedman test tests the null hypothesis that repeated measurements of the same individuals have the same distribution. It is often used to test for consistency among measurements obtained in different ways. For example, if two measurement techniques are used on the same set of individuals, the Friedman test can be used to determine if the two measurement techniques are consistent.

  Parameters:

  measurements1, measurements2, measurements3... : array_like

  > Arrays of measurements. All of the arrays must have the same number of elements. At least 3 sets of measurements must be given.

  Returns:

  statistic : float

  > the test statistic, correcting for ties

  pvalue : float

  > the associated p-value assuming that the test statistic has a chi squared distribution

  Notes

  Due to the assumption that the test statistic has a chi squared distribution, the p-value is only reliable for n > 10 and more than 6 repeated measurements.

  References

  [R8] | http://en.wikipedia.org/wiki/Friedman_test